Subject: MoveToPage

From: [email-masked]
Date: Thu, 10 Jun 1999 22:39:04 -0500 (CDT)

Full_Name: Chetan Patil
Version: 2.2.2
CVS_Date: 
OS: Linux 2.2.5-15 (Red Hat)
X_Server: XFree86
Submission from: (NULL) (207.214.202.111)

Hi,
I am trying to use MoveToPage to move an off-screen window to the current
page.
Specifically, I am using the following function..
-------
# What this function does is, given a key mapping to this function, it
will
# raise the specified window ($0) eg xcb and if the window doesnot exist,
it
# will create it. Note that it execs the $1 argument and not $0.

AddToFunc "my_window_open_func" \
+ "I"  Next ($0) Iconify -1
+ "I"  Next ($0) Focus
+ "I"  Next ($0) MoveToPage
+ "I"  Next ($0) WarpToWindow 30 40
+ "I"  None ($0) Exec $1 $2 $3 $4 $5 $6 $7 $8 $9
-------

Specifying arguments such as MoveToPage 1 0 works , but if I don't specify

any arguments to MoveToPage, it doesn't move the window.
As per the man pages, MoveToPage should move the selected window to the
current page.

Thanks,
Chetan

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]